import { useAjax } from "@/Hook/useAjax"
import { updatePackLinkCodeApi } from "@/services/gameData/roleOperate"
import { Switch } from "antd"
import React from "react"

interface Props {
    id: number
    value?: boolean
    onChange?: () => void
}

/**
 * 修改状态
 * @returns 
 */
const EnabledSwitch: React.FC<Props> = ({ id, value, onChange }) => {

    /************************************/
    const updatePackLinkCode = useAjax((params) => updatePackLinkCodeApi(params))
    /************************************/

    return <Switch
        checked={value}
        loading={updatePackLinkCode.loading}
        size="small"
        onChange={(checked) => {
            updatePackLinkCode.run({ ids: [id], enabled: checked }).then(res => {
                if (res) {
                    onChange?.()
                }
            })
        }}
    />
}

export default React.memo(EnabledSwitch)